;;;; string-interpolator.scm -*- Scheme -*-
;;;; Kon Lovett, Aug '19

(declare
  (bound-to-procedure ##sys#print-to-string))

(module string-interpolator

(;export
  string-interpolate
  string-interpolate/sanity)

;reverse-list->string

(import scheme)
(import (chicken base))
(import (chicken platform))
(import (chicken type))
(import (only (chicken string) reverse-list->string))
(import (only (srfi 1) reverse!))
(import (only (srfi 13) string-concatenate-reverse))

(: string-interpolate/sanity (string #!rest --> list))
(: string-interpolate (string #!rest --> list))

(include "string-interpolation-body")

) ;string-interpolator
